Package net.shibboleth.idp.attribute.resolver.dc.saml.impl

# Interface SubjectResolver

All Known Implementing Classes:
  `ChainingSubjectResolver`, `DependencyAttributeSubjectResolver`

public interface SubjectResolver
Interface for a component which resolves the `Subject` to use when executing an attribute query.

## Method Summary

Modifier and Type
Method
Description
`Subject`
`resolve(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes, AttributeAuthorityDescriptor roleDescriptor)`
Resolve the `Subject` to use in query.

## Method Details

### resolve

@Nullable Subject resolve(@Nonnull AttributeResolutionContext resolutionContext, @Nonnull Map<String,List<IdPAttributeValue>> dependencyAttributes, @Nonnull AttributeAuthorityDescriptor roleDescriptor) throws ResolutionException
Resolve the `Subject` to use in query.

Parameters:
  `resolutionContext` - the attribute resolution context in effect for the query
  `dependencyAttributes` - the dependency attributes in effect for the query
  `roleDescriptor` - the attribute authority role descriptor for the query
Returns:
  the subject, may be null
Throws:
  `ResolutionException` - if there is a fatal error during processing